## drkonqi 5.12.4

=== CMakeLists.txt ===
project(drkonqi)
set(PROJECT_VERSION "5.12.4")
set(PROJECT_VERSION_MAJOR 5)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

set(QT_MIN_VERSION "5.9.0")
set(KF5_MIN_VERSION "5.42.0")

find_package(ECM 1.8.0 REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMPackageConfigHelpers)
include(ECMMarkNonGuiExecutable)
include(ECMOptionalAddSubdirectory)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)
include(ECMMarkAsTest)
include(CMakePackageConfigHelpers)
include(WriteBasicConfigVersionFile)
include(CheckIncludeFiles)
include(CheckFunctionExists)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Widgets Test DBus Concurrent)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS I18n CoreAddons Service ConfigWidgets JobWidgets KIO Crash Completion XmlRpcClient WidgetsAddons Wallet Notifications IdleTime)

find_package(Qt5X11Extras ${QT_MIN_VERSION} CONFIG)
set_package_properties(Qt5X11Extras PROPERTIES TYPE RECOMMENDED PURPOSE "Recommended for better integration on X11.")

include_directories("${CMAKE_CURRENT_BINARY_DIR}")
configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

add_subdirectory(src)


feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== src/tests/backtraceparsertest/CMakeLists.txt ===
ecm_add_test(fakebacktracegenerator.cpp backtraceparsertest.cpp
    TEST_NAME backtraceparsertest
    LINK_LIBRARIES Qt5::Test Qt5::Core KF5::KIOWidgets drkonqi_backtrace_parser
)
add_executable(backtraceparsertest_manual fakebacktracegenerator.cpp backtraceparsertest_manual.cpp)
target_link_libraries(backtraceparsertest_manual Qt5::Core KF5::I18n KF5::KIOWidgets drkonqi_backtrace_parser)
ecm_mark_as_test(backtraceparsertest_manual)
ecm_mark_nongui_executable(backtraceparsertest_manual)

# create a link so that the data directory can be accessed from the build directory, where the test runs
if( NOT WIN32 )
	if ( NOT ${CMAKE_CURRENT_BINARY_DIR} EQUAL ${CMAKE_CURRENT_SOURCE_DIR} )
		add_custom_command(TARGET backtraceparsertest POST_BUILD
						   COMMAND ${CMAKE_COMMAND} -E create_symlink
								${CMAKE_CURRENT_SOURCE_DIR}/backtraceparsertest_data backtraceparsertest_data
						   WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
						  )
	endif ()
endif()

=== src/tests/bugzillalibtest/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=1410)

set(bugzillalibtest_SRCS
    bugzillalibtest.cpp 
    ../../bugzillaintegration/bugzillalib.cpp
)

add_executable(bugzillalibtest ${bugzillalibtest_SRCS})
ecm_mark_as_test(bugzillalibtest)

target_link_libraries(bugzillalibtest KF5::KIOWidgets KF5::XmlRpcClient Qt5::Xml KF5::I18n)

=== debian/changelog ===
drkonqi (5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:52:10 +0100

drkonqi (5.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:48:27 +0000

drkonqi (5.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:42:03 +0000

drkonqi (5.12.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:12:08 +0000

drkonqi (5.12.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.5)
  * New upstream release (5.11.95)
  * New upstream release (5.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Feb 2018 11:49:34 +0000

drkonqi (5.11.4-0ubuntu1) bionic; urgency=medium

  [ Rik Mills ]
  * Initial ubuntu release (LP: #1734216)

  [ Simon Quigley ]
  * New upstream release (5.11.4)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:13:57 -0600

=== debian/control ===
Source: drkonqi
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake (>= 2.8.12),
               dbus-x11,
               debhelper (>= 10),
               extra-cmake-modules (>= 5.42.0~),
               libkf5completion-dev (>= 5.42.0~),
               libkf5configwidgets-dev (>= 5.42.0~),
               libkf5coreaddons-dev (>= 5.42.0~),
               libkf5crash-dev (>= 5.42.0~),
               libkf5i18n-dev (>= 5.42.0~),
               libkf5idletime-dev (>= 5.42.0~),
               libkf5jobwidgets-dev (>= 5.42.0~),
               libkf5kio-dev (>= 5.42.0~),
               libkf5notifications-dev (>= 5.42.0~),
               libkf5service-dev (>= 5.42.0~),
               libkf5wallet-dev (>= 5.42.0~),
               libkf5widgetsaddons-dev (>= 5.42.0~),
               libkf5xmlrpcclient-dev (>= 5.42.0~),
               libqt5x11extras5-dev,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.4)
Standards-Version: 4.1.1
Homepage: https://cgit.kde.org/drkonqi.git/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/drkonqi.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/drkonqi.git

Package: drkonqi
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: plasma-workspace (<< 4:5.10.95~)
Replaces: plasma-workspace (<< 4:5.10.95~)
Description: Crash handler for Qt applications
 Drkonqi shows a dialog for dealing with application crashes.

=== debian/watch ===
version=3
http://download.kde.org/stable/plasma/([\d.]+)/drkonqi-([\d.]+)\.tar\.xz

## drkonqi 5.12.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(drkonqi)
-set(PROJECT_VERSION "5.12.4")
+set(PROJECT_VERSION "5.12.8")
 set(PROJECT_VERSION_MAJOR 5)
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

=== debian/changelog ===
drkonqi (5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Jul 2019 09:38:41 +0100

drkonqi (5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Oct 2018 08:55:02 +0100

drkonqi (5.12.6-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.6) (LP: #1779456)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 30 Jun 2018 18:28:22 +0100

drkonqi (5.12.5-0ubuntu0.1) bionic; urgency=medium

  * Update VCS fields
  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 18:33:21 +0100

=== debian/control ===
--- 
+++ 
@@ -21,11 +21,11 @@
                libkf5xmlrpcclient-dev (>= 5.42.0~),
                libqt5x11extras5-dev,
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.4)
+               qtbase5-dev (>= 5.4),
 Standards-Version: 4.1.1
 Homepage: https://cgit.kde.org/drkonqi.git/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/drkonqi.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/drkonqi.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/drkonqi
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/drkonki
 
 Package: drkonqi
 Architecture: any

## drkonqi 5.13.4

=== debian/changelog ===
drkonqi (5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:17:51 +0200

drkonqi (5.13.1-1) unstable; urgency=medium

  * New upstream release (5.13.1).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.13)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:42:48 +0200

drkonqi (5.12.5-1) unstable; urgency=medium

  * New upstream release (5.12.5).
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 May 2018 13:23:50 +0200

drkonqi (5.12.3-1) sid; urgency=medium

  * New upstream release (5.12.2).
  * New upstream release (5.12.3).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Mar 2018 19:14:03 +0100

drkonqi (5.12.1-1) sid; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.12.1).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Feb 2018 22:08:38 +0100

drkonqi (5.12.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Feb 2018 16:03:26 +0100

drkonqi (5.12.0-1) experimental; urgency=medium

  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Add link options as-needed
  * Add Bhushan Shah upstream signing key
  * New upstream release (5.12.0).
  * Bump Standards-Version to 4.1.3.
  * Bump group breaks (5.12)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Feb 2018 15:20:27 +0100

drkonqi (5.11.4-1) experimental; urgency=medium

  * Update Vcs fields
  * Bump Standards-Version to 4.1.2.
  * Update copyright file
  * watch: Use https uris
  * Update build-deps and deps with the info from cmake
  * Add missing breaks/replaces against plasma-workspace
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jan 2018 16:48:44 -0300

drkonqi (5.11.4-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Nov 2017 16:59:09 +0000

drkonqi (5.11.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Nov 2017 15:01:55 +0000

drkonqi (5.11.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2017 16:31:16 +0000

drkonqi (5.11.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2017 13:44:11 +0000

drkonqi (5.11.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Apr 2017 15:42:30 +0000

=== debian/control ===
Source: drkonqi
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               dbus-x11,
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.42.0~),
               libkf5completion-dev (>= 5.42.0~),
               libkf5configwidgets-dev (>= 5.42.0~),
               libkf5coreaddons-dev (>= 5.42.0~),
               libkf5crash-dev (>= 5.42.0~),
               libkf5i18n-dev (>= 5.42.0~),
               libkf5idletime-dev (>= 5.42.0~),
               libkf5jobwidgets-dev (>= 5.42.0~),
               libkf5kio-dev (>= 5.42.0~),
               libkf5notifications-dev (>= 5.42.0~),
               libkf5service-dev (>= 5.42.0~),
               libkf5wallet-dev (>= 5.42.0~),
               libkf5widgetsaddons-dev (>= 5.42.0~),
               libkf5xmlrpcclient-dev (>= 5.42.0~),
               libqt5x11extras5-dev (>= 5.9.0~),
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.1.4
Homepage: https://cgit.kde.org/drkonqi.git/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/drkonqi
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/drkonqi.git

Package: drkonqi
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: plasma-workspace (<< 4:5.13)
Replaces: plasma-workspace (<< 4:5.11)
Description: Crash handler for Qt applications
 Drkonqi shows a dialog for dealing with application crashes.

## drkonqi 5.13.5

=== debian/changelog ===
drkonqi (5.13.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Sep 2018 16:34:23 +0100

drkonqi (5.13.4-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 27 Aug 2018 13:04:46 +0100

drkonqi (5.13.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.4)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Aug 2018 16:40:12 +0100

drkonqi (5.13.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.0)
  * New upstream release (5.13.1)
  * New upstream release (5.13.2)
  * New upstream release (5.13.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 28 Jul 2018 17:25:17 +0100

drkonqi (5.12.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.6)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Jun 2018 15:30:29 +0100

drkonqi (5.12.5-0ubuntu1) cosmic; urgency=medium

  * Update VCS fields
  * New upstream release (5.12.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 May 2018 19:23:26 +0100

=== debian/control ===
--- 
+++ 
@@ -25,8 +25,8 @@
                qtbase5-dev (>= 5.9.0~),
 Standards-Version: 4.1.4
 Homepage: https://cgit.kde.org/drkonqi.git/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/drkonqi
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/drkonqi.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/drkonqi
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/drkonki
 
 Package: drkonqi
 Architecture: any

## drkonqi 5.14.3

=== debian/changelog ===
drkonqi (5.14.3-1) unstable; urgency=medium

  * Update upsteam signing-key
  * New upstream release (5.14.3).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.14)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Nov 2018 08:50:26 -0300

## drkonqi 5.14.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(drkonqi)
set(PROJECT_VERSION "5.14.5")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.11.0")
set(KF5_MIN_VERSION "5.50.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)
include(ECMMarkAsTest)
include(CheckFunctionExists)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Widgets Test DBus Concurrent)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS I18n CoreAddons Service ConfigWidgets JobWidgets KIO Crash Completion XmlRpcClient WidgetsAddons Wallet Notifications IdleTime)

find_package(Qt5X11Extras ${QT_MIN_VERSION} CONFIG)
set_package_properties(Qt5X11Extras PROPERTIES TYPE RECOMMENDED PURPOSE "Recommended for better integration on X11.")

if (MINGW)
    find_package(ZLIB REQUIRED)
    find_library(INTL_LIBRARY NAMES intl)
    find_library(IBERTY_LIBRARY NAMES iberty)
    find_library(BFD_LIBRARY NAMES bfd)
    if (IBERTY_LIBRARY)
        set(iberty_FOUND 1)
    else()
        set(msg "iberty")
    endif()
    if (BFD_LIBRARY)
        set(bfd_FOUND 1)
    else()
        set(msg "${msg} bfd")
    endif()
    if (INTL_LIBRARY)
        set(intl_FOUND 1)
    else()
        set(msg "${msg} intl")
    endif()
    if (msg)
        message(FATAL_ERROR "could not find ${msg}")
    endif()
    add_library(z STATIC IMPORTED)
    set_target_properties(z PROPERTIES
        IMPORTED_LOCATION ${ZLIB_LIBRARIES}
        IMPORTED_INCLUDE_DIRECTORIES ${ZLIB_INCLUDE_DIRS}
    )
    add_library(intl SHARED IMPORTED)
    set_target_properties(intl PROPERTIES
        IMPORTED_IMPLIB ${INTL_LIBRARY}
    )
    add_library(iberty STATIC IMPORTED)
    set_target_properties(iberty PROPERTIES
        IMPORTED_LOCATION ${IBERTY_LIBRARY}
    )
    add_library(bfd STATIC IMPORTED)
    set_target_properties(bfd PROPERTIES
        IMPORTED_LOCATION ${BFD_LIBRARY}
        # bfd header requires this to be defined
        INTERFACE_COMPILE_DEFINITIONS "PACKAGE;PACKAGE_VERSION"
    )
endif()

include_directories("${CMAKE_CURRENT_BINARY_DIR}")
configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_USE_QSTRINGBUILDER)
add_definitions(-DQT_NO_CAST_FROM_ASCII)
add_definitions(-DQT_NO_CAST_TO_ASCII)
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)

add_subdirectory(src)

install( FILES drkonqi.categories DESTINATION ${KDE_INSTALL_CONFDIR} )

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== src/CMakeLists.txt ===
include (CheckFunctionExists)

check_function_exists("strsignal" HAVE_STRSIGNAL)
check_function_exists("uname" HAVE_UNAME)

if (NOT DEBUG_PACKAGE_INSTALLER_NAME)
    set (DEBUG_PACKAGE_INSTALLER_NAME "installdbgsymbols.sh")
endif ()

configure_file (config-drkonqi.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-drkonqi.h )

add_subdirectory( data )
add_subdirectory( parser )
if ( WIN32 )
    find_package(KDEWin REQUIRED)
    # for finding drkonqi_debug.h
    include_directories(${CMAKE_CURRENT_BINARY_DIR})
    add_subdirectory( kdbgwin )
endif ()

set(drkonqi_SRCS
    main.cpp
    drkonqidialog.cpp
    statuswidget.cpp
    aboutbugreportingdialog.cpp
    backtraceratingwidget.cpp
    backtracewidget.cpp
    backtracegenerator.cpp
    drkonqi.cpp
    drkonqibackends.cpp
    detachedprocessmonitor.cpp
    debugpackageinstaller.cpp
    systeminformation.cpp
    crashedapplication.cpp
    debugger.cpp
    debuggerlaunchers.cpp
    debuggermanager.cpp
    applicationdetailsexamples.cpp
    gdbhighlighter.cpp
    statusnotifier.cpp
)

ki18n_wrap_ui(drkonqi_SRCS
    ui/maindialog.ui
    ui/backtracewidget.ui
)

# if BACKTRACE_PARSER_DEBUG is enabled, it will show both the
# parsed and the unparsed backtrace in the backtrace widget.
# Comment this out for release.
#add_definitions(-DBACKTRACE_PARSER_DEBUG)


set(drkonqi_SRCS
    ${drkonqi_SRCS}
    bugzillaintegration/bugzillalib.cpp
    bugzillaintegration/reportassistantdialog.cpp
    bugzillaintegration/reportassistantpage.cpp
    bugzillaintegration/reportassistantpages_base.cpp
    bugzillaintegration/reportassistantpages_bugzilla.cpp
    bugzillaintegration/reportassistantpages_bugzilla_duplicates.cpp
    bugzillaintegration/reportinterface.cpp
    bugzillaintegration/productmapping.cpp
    bugzillaintegration/parsebugbacktraces.cpp # Requires kxmlrpcclient
    bugzillaintegration/duplicatefinderjob.cpp
)
ki18n_wrap_ui(drkonqi_SRCS
    bugzillaintegration/ui/assistantpage_introduction.ui
    bugzillaintegration/ui/assistantpage_bugawareness.ui
    bugzillaintegration/ui/assistantpage_conclusions.ui
    bugzillaintegration/ui/assistantpage_conclusions_dialog.ui
    bugzillaintegration/ui/assistantpage_bugzilla_login.ui
    bugzillaintegration/ui/assistantpage_bugzilla_duplicates.ui
    bugzillaintegration/ui/assistantpage_bugzilla_duplicates_dialog.ui
    bugzillaintegration/ui/assistantpage_bugzilla_duplicates_dialog_confirmation.ui
    bugzillaintegration/ui/assistantpage_bugzilla_information.ui
    bugzillaintegration/ui/assistantpage_bugzilla_preview.ui
    bugzillaintegration/ui/assistantpage_bugzilla_send.ui
)

ecm_qt_declare_logging_category(drkonqi_SRCS HEADER drkonqi_debug.h IDENTIFIER DRKONQI_LOG CATEGORY_NAME org.kde.drkonqi)


add_executable(drkonqi ${drkonqi_SRCS})
ecm_mark_nongui_executable(drkonqi)

target_compile_definitions(drkonqi PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

target_link_libraries(drkonqi
    KF5::I18n
    KF5::CoreAddons
    KF5::Service
    KF5::ConfigWidgets
    KF5::JobWidgets
    KF5::KIOCore
    KF5::Crash
    KF5::Completion
    Qt5::DBus

    KF5::XmlRpcClient
    KF5::WidgetsAddons
    KF5::Wallet

    KF5::Notifications # for status notifier
    KF5::IdleTime # hide status notifier only if user saw it

    drkonqi_backtrace_parser
)
if (${Qt5X11Extras_FOUND})
    target_link_libraries(drkonqi
        Qt5::X11Extras
    )
endif()

if (WIN32)
    target_link_libraries(drkonqi kdewin)
endif()

install(TARGETS drkonqi DESTINATION ${KDE_INSTALL_LIBEXECDIR})
configure_file(org.kde.drkonqi.desktop.cmake ${CMAKE_BINARY_DIR}/src/org.kde.drkonqi.desktop)
install(PROGRAMS ${CMAKE_BINARY_DIR}/src/org.kde.drkonqi.desktop DESTINATION ${KDE_INSTALL_APPDIR})


# Only go into tests once we have a drkonqi target so the tests can reference
# it.
add_subdirectory( tests )

=== src/kdbgwin/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/..)

set(kdbgwin_SRCS
    common.h
    main.cpp
    process.h
    process.cpp
    abstract_generator.h
    abstract_generator.cpp
    callbacks.h
    callbacks.cpp
    outputters.h
    outputters.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/../drkonqi_debug.cpp
)

set(COMMON_LIBS dbghelp psapi shlwapi)

if ( MINGW )
    add_executable(kdbgwin ${kdbgwin_SRCS} mingw_generator.h mingw_generator.cpp)
    target_link_libraries(kdbgwin PRIVATE ${COMMON_LIBS} bfd iberty intl z Qt5::Core)
endif ()
if ( MSVC OR ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel"))
    add_executable(kdbgwin ${kdbgwin_SRCS} msvc_generator.h msvc_generator.cpp)
    target_link_libraries(kdbgwin ${COMMON_LIBS})
endif ()

install(TARGETS kdbgwin DESTINATION ${KDE_INSTALL_LIBEXECDIR})

=== debian/changelog ===
drkonqi (5.14.5-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 11:12:52 +0800

drkonqi (5.14.5-1) unstable; urgency=medium

  * New upstream release (5.14.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 24 Jan 2019 09:25:41 -0300

=== debian/control ===
Source: drkonqi
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               dbus-x11,
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.50.0~),
               libkf5completion-dev (>= 5.50.0~),
               libkf5configwidgets-dev (>= 5.50.0~),
               libkf5coreaddons-dev (>= 5.50.0~),
               libkf5crash-dev (>= 5.50.0~),
               libkf5i18n-dev (>= 5.50.0~),
               libkf5idletime-dev (>= 5.50.0~),
               libkf5jobwidgets-dev (>= 5.50.0~),
               libkf5kio-dev (>= 5.50.0~),
               libkf5notifications-dev (>= 5.50.0~),
               libkf5service-dev (>= 5.50.0~),
               libkf5wallet-dev (>= 5.50.0~),
               libkf5widgetsaddons-dev (>= 5.50.0~),
               libkf5xmlrpcclient-dev (>= 5.50.0~),
               libqt5x11extras5-dev (>= 5.11.0~),
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.11.0~),
               zlib1g-dev,
Standards-Version: 4.1.4
Homepage: https://cgit.kde.org/drkonqi.git/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/drkonqi
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/drkonqi.git

Package: drkonqi
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: plasma-workspace (<< 4:5.14)
Replaces: plasma-workspace (<< 4:5.11)
Description: Crash handler for Qt applications
 Drkonqi shows a dialog for dealing with application crashes.

## drkonqi 5.15.4

=== debian/changelog ===
drkonqi (5.15.4-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.15.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Apr 2019 17:08:45 +0100

drkonqi (5.15.3-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.3)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Mar 2019 09:08:13 +0000

drkonqi (5.15.2-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 26 Feb 2019 19:12:50 +0000

drkonqi (5.15.1-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 19 Feb 2019 21:32:44 +0000

drkonqi (5.15.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 12 Feb 2019 09:52:18 +0000

drkonqi (5.14.90-0ubuntu1) disco; urgency=medium

  * New upstream (beta) release (5.14.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 Jan 2019 08:23:35 +0000

drkonqi (5.14.5-0ubuntu1) disco; urgency=medium

  * New upstream release (5.14.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 Jan 2019 23:47:36 +0000

drkonqi (5.14.4-0ubuntu1) disco; urgency=medium

  * New upstream release (5.13.90)
  * New upstream release (5.14.0)
  * New upstream release (5.14.1)
  * New upstream release (5.14.2)
  * New upstream release (5.14.3)
  * New upstream release (5.14.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Nov 2018 23:14:40 +0000

=== debian/control ===
Source: drkonqi
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               dbus-x11,
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.54.0~),
               libkf5completion-dev (>= 5.54.0~),
               libkf5configwidgets-dev (>= 5.54.0~),
               libkf5coreaddons-dev (>= 5.54.0~),
               libkf5crash-dev (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               libkf5idletime-dev (>= 5.54.0~),
               libkf5jobwidgets-dev (>= 5.54.0~),
               libkf5kio-dev (>= 5.54.0~),
               libkf5notifications-dev (>= 5.54.0~),
               libkf5service-dev (>= 5.54.0~),
               libkf5wallet-dev (>= 5.54.0~),
               libkf5widgetsaddons-dev (>= 5.54.0~),
               libkf5xmlrpcclient-dev (>= 5.54.0~),
               libqt5x11extras5-dev (>= 5.9.0~),
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.1.4
Homepage: https://cgit.kde.org/drkonqi.git/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/drkonqi
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/drkonki

Package: drkonqi
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: plasma-workspace (<< 4:5.13)
Replaces: plasma-workspace (<< 4:5.11)
Description: Crash handler for Qt applications
 Drkonqi shows a dialog for dealing with application crashes.

## drkonqi 5.16.5

=== debian/changelog ===
drkonqi (5.16.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 04 Sep 2019 09:23:25 +0100

drkonqi (5.16.4-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 Jul 2019 18:44:13 +0100

drkonqi (5.16.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 09 Jul 2019 22:21:33 +0100

drkonqi (5.16.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 25 Jun 2019 18:22:26 +0100

drkonqi (5.16.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 18 Jun 2019 22:22:57 +0100

drkonqi (5.16.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 11 Jun 2019 11:35:13 +0100

drkonqi (5.15.90-0ubuntu1) eoan; urgency=medium

  * New upstream (beta) release (5.15.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 May 2019 08:48:19 +0100

drkonqi (5.15.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.15.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 May 2019 13:47:15 +0100

=== debian/control ===
Source: drkonqi
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               dbus-x11,
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.58.0~),
               libkf5completion-dev (>= 5.58.0~),
               libkf5configwidgets-dev (>= 5.58.0~),
               libkf5coreaddons-dev (>= 5.58.0~),
               libkf5crash-dev (>= 5.58.0~),
               libkf5i18n-dev (>= 5.58.0~),
               libkf5idletime-dev (>= 5.58.0~),
               libkf5jobwidgets-dev (>= 5.58.0~),
               libkf5kio-dev (>= 5.58.0~),
               libkf5notifications-dev (>= 5.58.0~),
               libkf5service-dev (>= 5.58.0~),
               libkf5wallet-dev (>= 5.58.0~),
               libkf5widgetsaddons-dev (>= 5.58.0~),
               libkf5xmlrpcclient-dev (>= 5.58.0~),
               libqt5x11extras5-dev (>= 5.9.0~),
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.1.4
Homepage: https://cgit.kde.org/drkonqi.git/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/drkonqi
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/drkonki

Package: drkonqi
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: plasma-workspace (<< 4:5.13)
Replaces: plasma-workspace (<< 4:5.11)
Description: Crash handler for Qt applications
 Drkonqi shows a dialog for dealing with application crashes.

## drkonqi 5.17.5

=== debian/changelog ===
drkonqi (5.17.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Feb 2020 21:40:48 +0100

drkonqi (5.17.5-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (5.16.5):
    - fixes crash when showing the backtrace (Closes: #928710)
  * Salsa CI automatic initialization by Tuco
  * Update build-deps and deps with the info from cmake

  [ Pino Toscano ]
  * New upstream release:
    - supports large backtraces (Closes: #946618)
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.61.0
    - remove unused libkf5windowsystem-dev, libkf5xmlrpcclient-dev, and
      zlib1g-dev
    - explicitly add gettext
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Remove unused debian/cmake-ignore, and debian/meta stuff.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Disable the unit tests for now, as they require kioslaves:
    - pass -DBUILD_TESTING=OFF to cmake to not build the tests
    - override dh_auto_test to do nothing
  * Unregister drkonqi.categories as conffile, as it is no more in /etc.

 -- Pino Toscano <pino@debian.org>  Sat, 18 Jan 2020 00:29:22 +0100

=== debian/control ===
Source: drkonqi
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               dbus-x11,
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.61.0~),
               gettext,
               libkf5completion-dev (>= 5.61.0~),
               libkf5configwidgets-dev (>= 5.61.0~),
               libkf5coreaddons-dev (>= 5.61.0~),
               libkf5crash-dev (>= 5.61.0~),
               libkf5i18n-dev (>= 5.61.0~),
               libkf5idletime-dev (>= 5.61.0~),
               libkf5jobwidgets-dev (>= 5.61.0~),
               libkf5kio-dev (>= 5.61.0~),
               libkf5notifications-dev (>= 5.61.0~),
               libkf5service-dev (>= 5.61.0~),
               libkf5wallet-dev (>= 5.61.0~),
               libkf5widgetsaddons-dev (>= 5.61.0~),
               libqt5x11extras5-dev (>= 5.12.0~),
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.12.0~),
Standards-Version: 4.5.0
Homepage: https://cgit.kde.org/drkonqi.git/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/drkonqi
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/drkonqi.git

Package: drkonqi
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: plasma-workspace (<< 4:5.14)
Replaces: plasma-workspace (<< 4:5.11)
Description: Crash handler for Qt applications
 Drkonqi shows a dialog for dealing with application crashes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:

## drkonqi 5.18.3

=== debian/changelog ===
drkonqi (5.18.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 18:07:01 +0000

drkonqi (5.18.2-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:29:14 +0000

drkonqi (5.18.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2020 14:36:03 +0000

drkonqi (5.18.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 07:43:24 +0000

drkonqi (5.17.90-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.17.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 18:07:16 +0000

drkonqi (5.17.5-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2020 06:43:52 +0000

drkonqi (5.17.4-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2019 19:23:09 +0000

drkonqi (5.17.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2019 17:04:00 +0000

drkonqi (5.17.2-0ubuntu1) focal; urgency=medium

  * Move qdebug categories file to new location.
  * New upstream (beta) release (5.16.90)
  * New upstream release (5.17.0)
  * New upstream release (5.17.1)
  * New upstream release (5.17.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 17:49:14 +0000

## drkonqi 5.18.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(drkonqi)
set(PROJECT_VERSION "5.18.4")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.12.0")
set(KF5_MIN_VERSION "5.61.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)
include(ECMMarkAsTest)
include(CheckFunctionExists)
include(FeatureSummary)
include(KDEClangFormat)

kde_enable_exceptions()

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Widgets Test DBus Concurrent)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS I18n CoreAddons Service
    ConfigWidgets JobWidgets KIO Crash Completion WidgetsAddons Wallet
    Notifications IdleTime WindowSystem)
find_package(Qt5X11Extras ${QT_MIN_VERSION} CONFIG)
set_package_properties(Qt5X11Extras PROPERTIES TYPE RECOMMENDED PURPOSE "Recommended for better integration on X11.")

if (MINGW)
    find_package(ZLIB REQUIRED)
    find_library(INTL_LIBRARY NAMES intl)
    find_library(IBERTY_LIBRARY NAMES iberty)
    find_library(BFD_LIBRARY NAMES bfd)
    if (IBERTY_LIBRARY)
        set(iberty_FOUND 1)
    else()
        set(msg "iberty")
    endif()
    if (BFD_LIBRARY)
        set(bfd_FOUND 1)
    else()
        set(msg "${msg} bfd")
    endif()
    if (INTL_LIBRARY)
        set(intl_FOUND 1)
    else()
        set(msg "${msg} intl")
    endif()
    if (msg)
        message(FATAL_ERROR "could not find ${msg}")
    endif()

    add_library(intl SHARED IMPORTED)
    set_target_properties(intl PROPERTIES
        IMPORTED_IMPLIB ${INTL_LIBRARY}
    )
    add_library(iberty STATIC IMPORTED)
    set_target_properties(iberty PROPERTIES
        IMPORTED_LOCATION ${IBERTY_LIBRARY}
    )
    add_library(bfd STATIC IMPORTED)
    set_target_properties(bfd PROPERTIES
        IMPORTED_LOCATION ${BFD_LIBRARY}
        # bfd header requires this to be defined
        INTERFACE_COMPILE_DEFINITIONS "PACKAGE;PACKAGE_VERSION"
    )
    find_path(BFD_INCLUDE_DIR bfd.h)
    include_directories(${BFD_INCLUDE_DIR})
endif()

include_directories("${CMAKE_CURRENT_BINARY_DIR}")

if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
endif()
add_subdirectory(src)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

install(FILES drkonqi.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

if (${ECM_VERSION} STRGREATER "5.58.0")
    install(FILES drkonqi.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
else()
    install(FILES drkonqi.categories DESTINATION ${KDE_INSTALL_CONFDIR})
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== src/tests/backtraceparsertest/CMakeLists.txt ===
ecm_add_test(fakebacktracegenerator.cpp backtraceparsertest.cpp
    TEST_NAME backtraceparsertest
    LINK_LIBRARIES Qt5::Test Qt5::Core KF5::KIOWidgets drkonqi_backtrace_parser
)
add_executable(backtraceparsertest_manual fakebacktracegenerator.cpp backtraceparsertest_manual.cpp)
target_link_libraries(backtraceparsertest_manual Qt5::Core KF5::I18n KF5::KIOWidgets drkonqi_backtrace_parser)
ecm_mark_as_test(backtraceparsertest_manual)
ecm_mark_nongui_executable(backtraceparsertest_manual)

=== src/tests/integration/CMakeLists.txt ===
add_test(NAME drkonqi_integration_suite
    COMMAND ${RUBY_EXECTUABLE}
        ${CMAKE_CURRENT_SOURCE_DIR}/suite
        --drkonqi $<TARGET_FILE:drkonqi>
        --at-spi-bus-launcher ${ATSPI_BUS_LAUNCHER_EXECUTABLE}
        --at-spi-registryd ${ATSPI_REGISTRYD_EXECUTABLE})
set_tests_properties(drkonqi_integration_suite PROPERTIES TIMEOUT 150)

# Hack to get rb files to show in qtc.
file(GLOB RUBIES suite *.rb)
add_custom_target(Rubies ALL echo SOURCES ${RUBIES})

=== debian/changelog ===
drkonqi (5.18.4.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.4.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Apr 2020 19:45:37 +0100

=== debian/control ===
Source: drkonqi
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               dbus-x11,
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.66.0~),
               libkf5completion-dev (>= 5.66.0~),
               libkf5configwidgets-dev (>= 5.66.0~),
               libkf5coreaddons-dev (>= 5.66.0~),
               libkf5crash-dev (>= 5.66.0~),
               libkf5i18n-dev (>= 5.66.0~),
               libkf5idletime-dev (>= 5.66.0~),
               libkf5jobwidgets-dev (>= 5.66.0~),
               libkf5kio-dev (>= 5.66.0~),
               libkf5notifications-dev (>= 5.66.0~),
               libkf5service-dev (>= 5.66.0~),
               libkf5wallet-dev (>= 5.66.0~),
               libkf5widgetsaddons-dev (>= 5.66.0~),
               libkf5xmlrpcclient-dev (>= 5.66.0~),
               libqt5x11extras5-dev (>= 5.9.0~),
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.1.4
Homepage: https://cgit.kde.org/drkonqi.git/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/drkonqi
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/drkonki

Package: drkonqi
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: plasma-workspace (<< 4:5.13)
Replaces: plasma-workspace (<< 4:5.11)
Description: Crash handler for Qt applications
 Drkonqi shows a dialog for dealing with application crashes.

## drkonqi 5.18.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.0)
 
 project(drkonqi)
-set(PROJECT_VERSION "5.18.4")
+set(PROJECT_VERSION "5.18.6")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.12.0")
@@ -75,9 +75,6 @@
 
 include_directories("${CMAKE_CURRENT_BINARY_DIR}")
 
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
-endif()
 add_subdirectory(src)
 
 # add clang-format target for all our real source files

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 configure_file (config-drkonqi.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-drkonqi.h )
 
+add_subdirectory( bugzillaintegration/libbugzilla )
 add_subdirectory( data )
 add_subdirectory( parser )
 if ( WIN32 )
@@ -19,7 +20,6 @@
 endif ()
 
 set(drkonqi_SRCS
-    main.cpp
     drkonqidialog.cpp
     statuswidget.cpp
     aboutbugreportingdialog.cpp
@@ -34,6 +34,7 @@
     crashedapplication.cpp
     debugger.cpp
     debuggerlaunchers.cpp
+    ptracer.cpp
     debuggermanager.cpp
     applicationdetailsexamples.cpp
     gdbhighlighter.cpp
@@ -53,6 +54,7 @@
 
 set(drkonqi_SRCS
     ${drkonqi_SRCS}
+    bugzillaintegration/assistantpage_bugzilla_version.cpp
     bugzillaintegration/bugzillalib.cpp
     bugzillaintegration/reportassistantdialog.cpp
     bugzillaintegration/reportassistantpage.cpp
@@ -61,7 +63,7 @@
     bugzillaintegration/reportassistantpages_bugzilla_duplicates.cpp
     bugzillaintegration/reportinterface.cpp
     bugzillaintegration/productmapping.cpp
-    bugzillaintegration/parsebugbacktraces.cpp # Requires kxmlrpcclient
+    bugzillaintegration/parsebugbacktraces.cpp
     bugzillaintegration/duplicatefinderjob.cpp
 )
 ki18n_wrap_ui(drkonqi_SRCS
@@ -76,17 +78,15 @@
     bugzillaintegration/ui/assistantpage_bugzilla_information.ui
     bugzillaintegration/ui/assistantpage_bugzilla_preview.ui
     bugzillaintegration/ui/assistantpage_bugzilla_send.ui
+    bugzillaintegration/ui/assistantpage_bugzilla_version.ui
 )
 
 ecm_qt_declare_logging_category(drkonqi_SRCS HEADER drkonqi_debug.h IDENTIFIER DRKONQI_LOG CATEGORY_NAME org.kde.drkonqi)
 
+# transient static lib we can use to link autotests against
+add_library(DrKonqiInternal STATIC ${drkonqi_SRCS})
 
-add_executable(drkonqi ${drkonqi_SRCS})
-ecm_mark_nongui_executable(drkonqi)
-
-target_compile_definitions(drkonqi PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")
-
-target_link_libraries(drkonqi
+target_link_libraries(DrKonqiInternal
     KF5::I18n
     KF5::CoreAddons
     KF5::Service
@@ -95,9 +95,9 @@
     KF5::KIOCore
     KF5::Crash
     KF5::Completion
+    KF5::WindowSystem
     Qt5::DBus
 
-    KF5::XmlRpcClient
     KF5::WidgetsAddons
     KF5::Wallet
 
@@ -105,22 +105,41 @@
     KF5::IdleTime # hide status notifier only if user saw it
 
     drkonqi_backtrace_parser
+    qbugzilla
 )
 if (${Qt5X11Extras_FOUND})
-    target_link_libraries(drkonqi
+    target_link_libraries(DrKonqiInternal
         Qt5::X11Extras
     )
 endif()
 
 if (WIN32)
-    target_link_libraries(drkonqi kdewin)
+    target_link_libraries(DrKonqiInternal kdewin)
 endif()
+
+add_executable(drkonqi main.cpp)
+ecm_mark_nongui_executable(drkonqi)
+target_link_libraries(drkonqi DrKonqiInternal)
 
 install(TARGETS drkonqi DESTINATION ${KDE_INSTALL_LIBEXECDIR})
 configure_file(org.kde.drkonqi.desktop.cmake ${CMAKE_BINARY_DIR}/src/org.kde.drkonqi.desktop)
 install(PROGRAMS ${CMAKE_BINARY_DIR}/src/org.kde.drkonqi.desktop DESTINATION ${KDE_INSTALL_APPDIR})
 
+add_subdirectory( tests )
 
-# Only go into tests once we have a drkonqi target so the tests can reference
-# it.
-add_subdirectory( tests )
+add_subdirectory(bugzillaintegration/libbugzilla/autotests)
+
+if(BUILD_COVERAGE AND BUILD_TESTING) # coverage without tests make no sense
+    add_custom_target(coverage)
+    add_custom_command(TARGET coverage
+        COMMAND ctest
+        COMMAND lcov -o ${CMAKE_BINARY_DIR}/lcov.report -c -d ${CMAKE_BINARY_DIR}
+        COMMAND genhtml -o ${CMAKE_BINARY_DIR}/coverage ${CMAKE_BINARY_DIR}/lcov.report
+        COMMAND find ${CMAKE_BINARY_DIR} -iname *.gcda | xargs rm -v
+        DEPENDS test
+    )
+    add_custom_target(show-coverage
+        COMMAND xdg-open ${CMAKE_BINARY_DIR}/coverage/index.html
+        DEPENDS coverage
+    )
+endif()

=== src/bugzillaintegration/libbugzilla/CMakeLists.txt ===
set(lib_SRCS
    apijob.cpp
    bugzilla.cpp
    connection.cpp
    exceptions.cpp

    clients/attachmentclient.cpp
    clients/bugclient.cpp
    clients/bugfieldclient.cpp
    clients/commentclient.cpp
    clients/clientbase.cpp
    clients/productclient.cpp

    clients/commands/bugsearch.cpp
    clients/commands/bugupdate.cpp
    clients/commands/jsoncommand.cpp
    clients/commands/newattachment.cpp
    clients/commands/newbug.cpp
    clients/commands/querycommand.cpp

    models/bug.cpp
    models/bugfield.cpp
    models/comment.cpp
    models/logindetails.cpp
    models/product.cpp
)

ecm_qt_declare_logging_category(lib_SRCS
    HEADER bugzilla_debug.h
    IDENTIFIER BUGZILLA_LOG
    CATEGORY_NAME org.kde.drkonqi.bugzilla
    DEFAULT_SEVERITY Warning)

add_library(qbugzilla STATIC ${lib_SRCS})
target_link_libraries(qbugzilla
    PUBLIC
        Qt5::Core
        Qt5::Network
        KF5::CoreAddons
        KF5::KIOCore
)

=== src/tests/bugzillalibtest/CMakeLists.txt ===
set(bugzillalibtest_SRCS
    bugzillalibtest.cpp 
    ../../bugzillaintegration/bugzillalib.cpp
)

ecm_qt_declare_logging_category(bugzillalibtest_SRCS HEADER drkonqi_debug.h IDENTIFIER DRKONQI_LOG CATEGORY_NAME org.kde.drkonqi)

add_executable(bugzillalibtest ${bugzillalibtest_SRCS})
ecm_mark_as_test(bugzillalibtest)

target_link_libraries(bugzillalibtest KF5::KIOWidgets KF5::I18n qbugzilla)

=== debian/changelog ===
drkonqi (5.18.6-0ubuntu0.1) focal; urgency=medium

  * New upstream bugfix release (5.18.6) (LP: #1938894)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Jan 2022 07:40:03 +0000

drkonqi (5.18.5-0ubuntu0.1) focal; urgency=medium

  * New upstream release (5.18.5) (LP: #1876876)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 May 2020 15:16:32 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:
